######################################
# Build: Standard CIP configurations #
######################################
build:arm_cip_bbb_defconfig:
  extends: .build
  variables:
    BUILD_ARCH: arm
    CONFIG: cip_bbb_defconfig
    CONFIG_LOC: cip-kernel-config

build:arm_hitachi_omap_defconfig:
  extends: .build
  variables:
    BUILD_ARCH: arm
    CONFIG: hitachi_omap_defconfig
    CONFIG_LOC: cip-kernel-config

build:arm_moxa_mxc_defconfig:
  extends: .build
  variables:
    BUILD_ARCH: arm
    CONFIG: moxa_mxc_defconfig
    CONFIG_LOC: cip-kernel-config

build:arm_qemu_arm_defconfig:
  extends: .build
  variables:
    BUILD_ARCH: arm
    CONFIG: qemu_arm_defconfig
    CONFIG_LOC: cip-kernel-config

build:arm_renesas_shmobile_defconfig:
  extends: .build
  variables:
    BUILD_ARCH: arm
    CONFIG: renesas_shmobile_defconfig
    CONFIG_LOC: cip-kernel-config

build:arm_siemens_am335x-axm2_defconfig:
  extends: .build
  variables:
    BUILD_ARCH: arm
    CONFIG: siemens_am335x-axm2_defconfig
    CONFIG_LOC: cip-kernel-config

build:arm_siemens_am335x-draco_defconfig:
  extends: .build
  variables:
    BUILD_ARCH: arm
    CONFIG: siemens_am335x-draco_defconfig
    CONFIG_LOC: cip-kernel-config

build:arm_siemens_am335x-dxr2_defconfig:
  extends: .build
  variables:
    BUILD_ARCH: arm
    CONFIG: siemens_am335x-dxr2_defconfig
    CONFIG_LOC: cip-kernel-config

build:arm_siemens_am335x-etamin_defconfig:
  extends: .build
  variables:
    BUILD_ARCH: arm
    CONFIG: siemens_am335x-etamin_defconfig
    CONFIG_LOC: cip-kernel-config

build:arm_siemens_am57xx-pxm3.config:
  extends: .build
  variables:
    BUILD_ARCH: arm
    CONFIG: siemens_am57xx-pxm3.config
    CONFIG_LOC: cip-kernel-config

build:arm_siemens_dcu2.config:
  extends: .build
  variables:
    BUILD_ARCH: arm
    CONFIG: siemens_dcu2.config
    CONFIG_LOC: cip-kernel-config

build:arm_siemens_imx6_defconfig:
  extends: .build
  variables:
    BUILD_ARCH: arm
    CONFIG: siemens_imx6_defconfig
    CONFIG_LOC: cip-kernel-config

build:arm_toshiba_tegra_defconfig:
  extends: .build
  variables:
    BUILD_ARCH: arm
    CONFIG: toshiba_tegra_defconfig
    CONFIG_LOC: cip-kernel-config

build:arm_toshiba_zynq_defconfig:
  extends: .build
  variables:
    BUILD_ARCH: arm
    CONFIG: toshiba_zynq_defconfig
    CONFIG_LOC: cip-kernel-config

build:x86_cip_merged_defconfig:
  extends: .build
  variables:
    BUILD_ARCH: x86
    CONFIG: cip_merged_defconfig
    CONFIG_LOC: cip-kernel-config

build:x86_cip_qemu_defconfig:
  extends: .build
  variables:
    BUILD_ARCH: x86
    CONFIG: cip_qemu_defconfig
    CONFIG_LOC: cip-kernel-config

build:x86_siemens_iot2000.config:
  extends: .build
  variables:
    BUILD_ARCH: x86
    CONFIG: siemens_iot2000.config
    CONFIG_LOC: cip-kernel-config

build:x86_siemens_server_defconfig:
  extends: .build
  variables:
    BUILD_ARCH: x86
    CONFIG: siemens_server_defconfig
    CONFIG_LOC: cip-kernel-config

build:x86_toshiba_defconfig:
  extends: .build
  variables:
    BUILD_ARCH: x86
    CONFIG: toshiba_defconfig
    CONFIG_LOC: cip-kernel-config

################################
# Build: RT CIP configurations #
################################
build:rt_arm_renesas_shmobile-rt_defconfig:
  extends:
    - .build
    - .only-rt
  variables:
    BUILD_ARCH: arm
    CONFIG: renesas_shmobile-rt_defconfig
    CONFIG_LOC: cip-kernel-config

build:rt_x86_siemens_i386-rt.config:
  extends:
    - .build
    - .only-rt
  variables:
    BUILD_ARCH: x86
    CONFIG: siemens_i386-rt.config
    CONFIG_LOC: cip-kernel-config

#####################################
# Build: Other build configurations #
#####################################
build:arm_defconfig:
  extends: .build
  variables:
    BUILD_ARCH: arm
    CONFIG: defconfig
    CONFIG_LOC: intree

build:x86_defconfig:
  extends: .build
  variables:
    BUILD_ARCH: x86
    CONFIG: defconfig
    CONFIG_LOC: intree

#####################################
# Test: Standard CIP configurations #
#####################################
test:arm_cip_bbb_defconfig:
  extends: .test
  needs: ["build:arm_cip_bbb_defconfig"]
  variables:
    BUILD_ARCH: arm
    CONFIG: cip_bbb_defconfig
    DEVICES: beaglebone-black
    DTBS: am335x-boneblack.dtb
    TESTS: boot smc

test:arm_qemu_arm_defconfig:
  extends: .test
  needs: ["build:arm_qemu_arm_defconfig"]
  variables:
    BUILD_ARCH: arm
    CONFIG: qemu_arm_defconfig
    DEVICES: qemu
    TESTS: boot

test:arm_renesas_shmobile_defconfig:
  extends: .test
  needs: ["build:arm_renesas_shmobile_defconfig"]
  variables:
    BUILD_ARCH: arm
    CONFIG: renesas_shmobile_defconfig
    DEVICES: r8a7743-iwg20d-q7
    DTBS: r8a7743-iwg20d-q7-dbcm-ca.dtb
    TESTS: boot smc

test:x86_cip_merged_defconfig_qemu:
  extends: .test
  needs: ["build:x86_cip_merged_defconfig"]
  variables:
    BUILD_ARCH: x86
    CONFIG: cip_merged_defconfig
    DEVICES: qemu
    TESTS: boot

test:x86_cip_qemu_defconfig:
  extends: .test
  needs: ["build:x86_cip_qemu_defconfig"]
  variables:
    BUILD_ARCH: x86
    CONFIG: cip_qemu_defconfig
    DEVICES: qemu
    TESTS: boot

###############################
# Test: RT CIP configurations #
###############################
test:rt_arm_renesas_shmobile-rt_defconfig:
  extends:
    - .test
    - .only-rt
  needs: ["build:rt_arm_renesas_shmobile-rt_defconfig"]
  variables:
    BUILD_ARCH: arm
    CONFIG: renesas_shmobile-rt_defconfig
    DEVICES: r8a7743-iwg20d-q7
    DTBS: r8a7743-iwg20d-q7-dbcm-ca.dtb
    TESTS: boot smc cyclictest+hackbench

#############################
# Test: Extra release tests #
#############################
test:arm_renesas_shmobile_defconfig_release:
  extends:
    - .test
    - .only-rc
  needs: ["build:arm_renesas_shmobile_defconfig"]
  variables:
    BUILD_ARCH: arm
    CONFIG: renesas_shmobile_defconfig
    DEVICES: r8a7743-iwg20d-q7
    DTBS: r8a7743-iwg20d-q7-dbcm-ca.dtb
    TESTS: ltp

test:x86_cip_merged_defconfig_qemu_release:
  extends:
    - .test
    - .only-rc
  needs: ["build:x86_cip_merged_defconfig"]
  variables:
    BUILD_ARCH: x86
    CONFIG: cip_merged_defconfig
    DEVICES: qemu
    TESTS: ltp

test:x86_cip_qemu_defconfig_release:
  extends:
    - .test
    - .only-rc
  needs: ["build:x86_cip_qemu_defconfig"]
  variables:
    BUILD_ARCH: x86
    CONFIG: cip_qemu_defconfig
    DEVICES: qemu
    TESTS: ltp

########################################################
# Verify: Check rebase branches & tags for differences #
########################################################
verify:rebase-tag-diff:
  extends:
    - .tag-comparison
    - .only-rebase
  except:
    - branches

verify:rebase-branch-diff:
  extends:
    - .branch-comparison
    - .only-rebase
  except:
    - tags
